Package org.jboss.modules

# Class Main

java.lang.Object
org.jboss.modules.Main

public final class Main extends Object
The main entry point of JBoss Modules when run as a JAR on the command line.

Author:
  David M. Lloyd, Richard Opalka, Jason T. Greene

## Method Summary

Modifier and Type
Method
Description
`static String`
`getJarName()`
Get the name of the JBoss Modules JAR.
`static String`
`getVersionString()`
Get the version string of JBoss Modules.
`static void`
`main(String[] args)`
Run JBoss Modules.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### main

public static void main(String[] args) throws Throwable
Run JBoss Modules.

Parameters:
  `args` - the command-line arguments
Throws:
  `Throwable` - if an error occurs

### getJarName

public static String getJarName()
Get the name of the JBoss Modules JAR.

Returns:
  the name

### getVersionString

public static String getVersionString()
Get the version string of JBoss Modules.

Returns:
  the version string